¿Cómo ejecuto Xcode 4.1 bajo Snow Leopard?

Estoy tratando de actualizar a xcode 4.1, pero no está funcionando como esperaba. Soy un desarrollador de iOS registrado, así que descargué el (enorme) instalador. Cuando hago doble clic, parece iniciarse, pero luego se detiene, no pasa nada. No hay window de instalador con botones para hacer clic, etc. Estoy seguro de que hay una forma mejor de hacer la installation desde la terminal y ver qué está pasando realmente. ¿Qué debo probar ahora?

Además, me pregunto si alguien ha hecho que esto funcione con OSX 10.6.8 aún, ya que hubo algunas descripciones de la falla del instalador en los foros de desarrollo. No hay respuestas allí desde ayer.

  • Actualización de un Macbook Pro 2010
  • El sistema operativo deja de recibir el clic izquierdo del mouse (principal)
  • ¿Por qué se esconde la barra de menu cuando estoy en iTunes?
  • Defina shortkey adicional con el mismo efecto, como RETURN en Safari.app
  • La tarjeta de datos de banda ancha mobile E173 de Huawei no funciona correctamente
  • Soldar nueva memory RAM en una Retina MacBook Pro 2015
  • Actualización: intentado hasta ahora– Nota: Esta es la versión correcta de xcode 4.1 para 10.6 (leopardo de las nieves) No es la de la tienda Mac, que es solo para 10.7.

    • Quité la versión anterior de xcode (era 3.2.5) usando /Developer/Library/uninstall-devtools --mode=all .

    • En cuanto al syslog, veo un par de errores que pueden estar causando problemas: en primer lugar, cuando cerré anoche, muestra Macintosh DirectoryService[11]: BUG in libdispatch: 10K549 - 1960 - 0x10004004 . En segundo lugar, esto aparece repetidamente: Macintosh com.apple.launchd[1] (com.apple.SystemStarter): Failed to count the number of files in "/System/Library/StartupItems": No such file or directory

    • Cuando volví a probar el instalador, el syslog informó que no such file or directory varias veces, luego Macintosh com.apple.launchd.peruser.501[93] (com.apple.coreservices.uiagent[230]): Job appears to have crashed: Segmentation fault y un informe de locking.

    Quizás algo está dañado en mis files / System / Library que está causando que se ahogue. ¿Alguna otra idea sobre sugerencias sobre cómo reparar esto?

    Actualización 2: nunca logré instalar xcode 4 en mi macBook. La raíz del problema parece ser que este fue uno de los models más antiguos de MacBook para usar el procesador Intel. Y XCode 4 no parece funcionar bien en este procesador. Alguien puede haber encontrado una solución temporal por ahora, pero terminé con una computadora más nueva: a fines de 2009, MacBook Air con Snow Leopard. No hay problemas con la installation de xcode 4.

    Crash Report cosas: (con suerte, los bits útiles …)


     Exception Type: EXC_BAD_ACCESS (SIGSEGV) Exception Codes: KERN_INVALID_ADDRESS at 0x00000000281e9000 Crashed Thread: 2 Thread 2 Crashed: 0 libSystem.B.dylib 0x96032401 sha1_block_asm_data_order + 29 Thread 2 crashed with X86 Thread State (32-bit): eax: 0xb02258a0 ebx: 0x93e07a69 ecx: 0x281e9000 edx: 0xb4148629 edi: 0x85121bec esi: 0xa1f8b822 ebp: 0xd7deffcd esp: 0xb02257c0 ss: 0x0000001f efl: 0x00010286 eip: 0x96032401 cs: 0x00000017 ds: 0x0000001f es: 0x0000001f fs: 0x0000001f gs: 0x00000037 cr2: 0x281e9000 Followed by a long list of addresses that all refer to various files in either /System/Library/Frameworks or /usr/lib/. Several of them have ???(???) in the line. The last line is: `0xffff0000 - 0xffff1fff libSystem.B.dylib ??? (???) <2DCD13E3-1BD1-6F25-119A-3863A3848B90> /usr/lib/libSystem.B.dylib` 

  • Swift en Xcode 6
  • Preferences de vista de buscador en todo el sistema
  • ¿Cómo puedo saber si el iSight de mi MacBook tiene un problema de hardware?
  • Xcode instalado pero no reconocido en App Store
  • ¿Funcionará una SuperDrive de una MacBook7,1 en una MacBook2,1?
  • ¿Cómo get las herramientas para desarrolladores de Apple Command Line sin App Store?
  • 4 Solutions collect form web for “¿Cómo ejecuto Xcode 4.1 bajo Snow Leopard?”

    Utilizaría Xcode 4.2, ya que es la última versión compatible de Xcode en Snow Leopard. Todavía se puede download de developer.apple.com.

    Por Wikipedia, hubo dos lanzamientos de 4.1. Uno fue presentado con OS X Lion, y otro fue lanzado para Snow Leopard. Tal vez la versión León requiere León, y tal vez sea ese el que tienes. No estoy seguro de cómo puedes notar la diferencia.

    Intente eliminar primero la versión anterior de XCode (hay una secuencia de commands de desinstallation en la carpeta Dev tools) y luego ejecute el instalador. Por alguna razón extraña y desconocida, puede atascarse al intentar replace la versión anterior.

    Si eso no funciona, indague en su syslog y vea si está arrojando cualquier error y publíquelo y veremos si sucede algo extraño.

    Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).